Subject: Re: [PATCH] Fix git-p4 on Windows to not use the Posix sysconf

From: Simon Hausmann <[email-masked]>
Date: Mon, 16 Jul 2007 20:30:50 +0200

On Monday 16 July 2007 07:35:11 Shawn O. Pearce wrote:
> Junio C Hamano <[email-masked]> wrote:
> > "Shawn O. Pearce" <[email-masked]> writes:
> > > Thanks.  Marius' patch was whitespace damaged in the context lines,
> > > but it was easily repaired.  I've got a couple of other small items
> > > in my fastimport repository that I'm going to ask Junio to include
> > > in 1.5.3 shortly.
> >
> > Thanks for taking care of this.  I have pulled gfi master into
> > 'master'.  Perhaps we would want to tag -rc2 this weekend, run
> > with it for a week or so and see if we need -rc3 before the
> > final.
>
> I'm not entirely sure how we're going to handle the git-p4 patches;
> I see there's already another set available to use '-x -' to avoid
> command line length problems.
>
> I'm more than happy to play patch monkey and ship them through the
> fastimport repository, but since I'm not a p4 user that offers little
> value to the process, other than perhaps to save you a little time.
>
> Simon suggested he might setup a git fork on repo.or.cz himself, at
> which point you could pull the patches for git-p4 directly from him.
>
> Simon?

Yes, sounds good to me. I have tried creating a git clone on repo.or.cz but 
somehow I can't edit the project. Need to find pasky on IRC to help me :). 
Until then I have created a repository on freedesktop.org:

	git://people.freedesktop.org/~hausmann/git-p4
	http://gitweb.freedesktop.org/?p=users/hausmann/git-p4;a=summary

Simon